\appendix

\section{Monodomain parameters}

The parameters and initial valuse for the monodomain model are given in Tab.~\ref{tab:Monodomain}.

\begin{table}[H]
\caption{Parameters for the evolution of the electric potential in the monodomain
    equations.}
\label{tab:Monodomain}
\begin{tabular}{ll} 
surface-to-volume ratio   & $\beta= 140 $ mm$^{-1}$ \\
membrane capaticity       & $C_\text{m}=0.01  $ \textmu Fmm$^{-1}$ \\
longitudinal conductivity & $\sigma_\text{A,l}= 556.9188$ Smm$^{-1}, \sigma_\text{V,l}= 133.4177215 $ Smm$^{-1}$ $=$ AV$^{-1}$mm$^{-1}$ \\
transversal conductivity  & $\sigma_\text{A,t}= 251.0$ Smm$^{-1}, \sigma_\text{V,t}=  17.60617761$ Smm$^{-1}$ \\
& \\
  initial potential ventricles         & $V_\text{m}^0 = -80.8887$  mV\\
  initial potential atrim 				& $V_\text{m}^0 = -85.298$  mV\\
  external current  ventricle       & $V_\text{e} = 0.582155$  nA\\
  external current atrium 	& $V_\text{e} = 20$ pApF$^{-1}$
\end{tabular}
\end{table}

For the ten Tuscher cell model, the parameters are given in Tab.~\ref{tab:TenTusscher}, 
and initial values for the ion concentrations and gating variables
    \begin{equation*}
      w^0
      = \big(
             \text{Ca}^0,
             \text{Ca}_\text{SS}^0,
             \text{Ca}_\text{SR}^0,
             \text{Na}^0,
             \text{K}^0,
             \bar{R}^0,
             m^0,
             h^0,
             j^0,
             x_\text{r1}^0,
             x_\text{r2}^0,
             x_\text{s}^0,
             s^0,
             r^0,
             d^0,
             f^0,
             f_2^0,
             f_\text{Ca}^0,
             \bar{O}^0
             \big)  
    \end{equation*}
at $t=0$ and for all $x\in \Omega_\text{V}$ are set to
    \begin{align*}
      \begin{array}{cccccc}
       \text{Ca}^0            = 0.00011576\,,
       &\text{Ca}_\text{SS}^0   =0.000233\,,
       &\text{Ca}_\text{SR}^0   = 4.1371\,,
       &\text{Na}^0            =  9.4148\,
       &\text{K}^0             = 136.0009\,,
       &\bar{R}^0 = 0.98738\,,
              \\
       m^0           =  0.0016901\,,          
      &h^0           =  0.74684\,,           
      &j^0           =  0.74622\,,           
      &x_\text{r1}^0  = 0.00021327\,,          
      &x_\text{r2}^0  = 0.4719\,,           
      &x_\text{s}^0   = 0.0033368\,,
      \\
       s^0           = 1 \,,         
      &r^0           = 2.3886\cdot 10^{-8} \,,
      &d^0           = 3.3409\cdot 10^{-5} \,,
      &f^0           =  0.95972\,,           
      &f_2^0         =  0.99949\,,           
       &f_\text{Ca}^0  = 0.99996
       \, ,
       \\
       \bar{O}^0 = 0\,.
       \end{array}
    \end{align*}
For the Courtemanche cell model, the parameters are given in Tab.~\ref{tab:Courtemanche}, 
and initial values for the ion concentrations and gating variables
 \begin{equation*}
      w^0
      = \big(\text{Ca}^0,
      	\text{Ca}_\text{up}^0,
      	\text{Ca}_\text{rel}^0,
      	\text{Na}^0,
      	\text{K}^0,
      	m^0,
      	h^0,
      	j^0,
      	o_\text{a}^0,
      	o_\text{i}^0,
      	u_\text{a}^0,
      	u_\text{i}^0,
      	x_\text{r}^0,
      	x_\text{s}^0,
      	d^0,
      	f^0,
      	f_\text{Ca}^0,
      	u^0,
      	v^0,
      	w_\text{rel}^0    
         \big)  
\end{equation*}
at $t=0$ and for all $x\in \Omega_\text{A}$ are set to
    \begin{align*}
      \begin{array}{ccccc}
       \text{Ca}^0            = 0.000112836\,,
       &\text{Ca}_\text{up}^0   = 1.52919\,,
       &\text{Ca}_\text{rel}^0   = 1.10817\,,
       &\text{Na}^0            = 11.83 \,
       &\text{K}^0             = 138.994 \,,
       \,,
              \\
       m^0           = 0.00304588 \,,          
      &h^0           = 0.962696 \,,           
      &j^0           = 0.975742 \,,           
      &o_\text{a}^0  = 0.0309106\,,          
      &o_\text{i}^0  = 0.999163\,,           
      \\
      u_\text{a}^0   = 0.00511314\,,
      &u_\text{i}^0           = 0.986906 \,,         
      &x_\text{r}^0           = 0.00229885 \,,
      &x_\text{s}^0 =  0.0196603  \,,
      &d^0           = 0.000141583 \,,
      \\  
      f^0           = 0.916064 \,,         
      &f_\text{Ca}^0  = 0.75607\,,
      &u^0         = 5.60519\cdot 10^{-43}\,,
      &v^0         = 0.999994 \,,
      &w_\text{rel}^0         =  0.999185
       \,.
       \end{array}
    \end{align*}


\begin{table}
\caption{Parameters in the ten Tuscher cell model.}
\begin{tabular}{ll} \label{tab:TenTusscher}
gas constant                                           & $R =$ 8314.472 mJK$^{-1}$mol$^{-1}$\\
temperature                                            & $T$= 310 K\\
Faraday constant                                       & $F =$ 96485.3415 C$/$mol\\
valence of the ionic species						   & $z =$ 1 for Na and K, $z =$ 2 for Ca\\

$V_\text{m,CaL}$ & 15 mV\\
$V_\text{m,pK,1}$  & 25 mV\\
$V_\text{m,pK,2}$ & 5.98 mV\\
Extracellular K$^+$ concentration                      & K$_\text{e}$ = 5.4 mM\\
Extracellular Na$^+$ concentration                     & Na$_\text{e}$ = 140 mM\\
Extracellular Ca$^{2+}$ concentration                  & Ca$_\text{e}$ = 2 mM\\
cytoplasmic volume                                    & $V_c$ = 0.016404 mm$^{3}$ \\
maximal $I_\text{Na}$ conductance                      & $G_\text{Na}$ = 14.838 nS$/$pF\\
maximal $I_\text{CaL}$ conductance                     &$G_\text{CaL}=3.98\cdot 10^{-5}$ cm$^3$\textmu F$^{-1}$s$^{-1}$\\
maximal $I_\text{Ks}$ conductance                      &$G_\text{Ks}$ =0.098 nS$/$pF \\
maximal $I_\text{to}$ conductance                      & $G_\text{to}$ = 0.294 nS$/$pF \\
maximal $I_\text{Kr}$ conductance                      & $G_\text{Kr}$ = 0.153 nS$/$pF  \\
maximal $I_\text{K1}$ conductance                      & $G_\text{K1}$ = 5.405 nS$/$pF\\
maximal $I_\text{pK}$ conductance                      & $G_\text{pK}$ = 0.0146 nS$/$pF\\
maximal $I_\text{bNa}$ conductance                     & $G_\text{bNa}$ = 0.00029 nS$/$pF\\
maximal $I_\text{bCa}$ conductance                     & $G_\text{bCa}$ =0.000592 nS$/$pF\\
maximal $I_\text{pCa}$ conductance                     & $G_\text{pCa}$  = 0.1238 nS$/$pF\\
maximal $I_\text{SAC}$ conductance					& $G_\text{SAC}$ = 0.0375 mS$/$cm$^2$ \\

maximal $I_\text{NaCa}$                                & $k_\text{NaCa}$ =1.0 pA$/$pF  \\ %.ev: 1000 Einheit?
voltage dependencd  parameter of $I_\text{NaCa}$       &$\gamma$= 0.35\\
factor enhancing outward nature of $I_\text{NaCa}$     & $\alpha$ = 2.5\\
saturation factor for $I_\text{NaCa}$                  & $k_\text{sat}$  = 0.1\\
Na half-saturation constant for $I_\text{NaCa}$        & $\text{K}_{\text{mNa}_i}$ = 87.5 mM\\
Ca half-saturation constant for $I_\text{NaCa}$        & $\text{K}_\text{mCa}$ = 1.38 mM\\
K$_\text{e}$ half-saturation constant for $I_\text{NaK}$ & $\text{K}_\text{mK}$ = 1 mM\\
Na half-saturation constant for $I_\text{NaK}$         & $\text{K}_\text{mNa}$ = 40mM \\
Ca half-saturation constant of $I_\text{pCa}$          & $\text{K}_\text{pCa}$ = 0.0005 mM\\
relative $I_\text{Ks}$ permeability to Na$^+$          & $p_\text{KNa}$ = 0.03\\
SAC reversal potential							& $E_\text{SAC}$ = -20 mV \\
SAC equilibrium constant							& $\kappa_\text{e}$ = 100 \\
stretch sensitivity of $I_\text{SAC}$			& $\alpha_\text{SAC}$ = 3 \\

subspace volume                                       & $V_\text{SS}$ = 5.468e$^{-5}$ mm$^3$  \\
sarcoplasmic reticulum volume                         & $V_\text{SR}$ = 0.001094  mm$^3$  \\
maximal $I_\text{leak}$ conductance                    & $V_\text{leak}$ = 0.00036 mM$/$ms \\
maximal $I_\text{up}$ conductance                      & $V_\text{maxup}$ = 0.006375mM$/$ms\\
half saturation constant of $I_\text{up}$              & $K_\text{up}$ = 0.00025 mM \\
maximal $I_\text{rel}$ conductance                     & $V_\text{rel}$ = 0.102 mM$/$ms\\
maximal $I_\text{xfer}$ conductance                    & $V_\text{xfer}$ =  0.0038  \\ %Einheit?

$\bar{R}$ to $\bar{O}$ and RI to I $I_\text{rel}$ transition rate& $k_{1'}$ = 0.15 \\
$\bar{O}$ to $I$ and $\bar{R}$ to RI $I_\text{rel}$ transition rate& $k_{2'}$ = 0.045\\
$\bar{O}$ to $\bar{R}$ and I to RI $I_\text{rel}$ transition rate& $k_{3}$ = 0.06\\
I to $\bar{O}$ and RI to I $I_\text{rel}$ transition rate& $k_{4}$ = 0.005s$^{-1}$ \\


\end{tabular}
\end{table}
%alte Sachen, habs mal aufgehoben...
%maximal $I_\text{NaK}$                                 & $P_\text{NaK}$ = 1.362 pA$/$pF\\
%
%maximum value of  $k_\text{casr}$                      &$\text{max}_\text{sr}$= 2.5\\
%minimum value of  $k_\text{casr}$                      & $\text{min}_\text{sr}$ = 1\\
%Ca$_\text{SR}$ half-saturation  constant of $k_\text{casr}$ & $EC$= 1.5 mM\\
%
%total sarcoplasmic buffer concentration               & $\text{Buf}_\text{SR}$= 10 mM\\
%total subspace buffer concentration                   & $\text{Buf}_\text{SS}$= 0.4 mM\\
%total cytoplasmic buffer concentration                & $\text{Buf}_\text{C}$ = 0.2mM\\
%Ca$_\text{SR}$  half-saturation constant for sarcoplasmic buffer&$K_\text{bufSR}$=  0.3 mM\\
%Ca$_\text{SR}$  half-saturation constant for subspace buffer& $K_\text{bufSS}$ = 0.00025 mM\\
%Ca  half-saturation constant for cytoplasmic buffer   & $K_\text{bufC}$ = 0.001 mM \\

\begin{table}[H]
\caption{Parameters in the Courtemanche cell model.}
\begin{tabular}{ll} \label{tab:Courtemanche}
gas constant                                           & $R =$ 8314.472 mJK$^{-1}$mol$^{-1}$\\
temperature                                            & $T$= 310 K\\
Faraday constant                                       & $F =$ 96485.3415 C$/$mol\\
valence of the ionic species						   & $z =$ 1 for Na and K, $z =$ 2 for Ca\\
intracellular volume 		& $V_\text{i}$ =  13668 \\ %Einheit???
maximal $I_ \text{Na}$ conductance &  $g_\text{Na}$ = 7.8 nS/pF\\
maximal $I_ \text{K1}$ conductance &  $g_\text{K1}$ = 0.09 nS/pF\\
maximal $I_ \text{to}$ conductance &  $g_\text{to}$ = 0.1652 nS/pF\\
maximal $I_ \text{Kr}$ conductance &  $g_\text{Kr}$ = 0.029411765 nS/pF\\
maximal $I_ \text{Ks}$ conductance &  $g_\text{Ks}$ = 0.12941176 nS/pF\\
maximal $I_ \text{Ca,L}$ conductance &  $g_\text{Ca,L}$ = 0.12375 nS/pF\\
maximal $I_ \text{b,Ca}$ conductance &  $g_\text{b,Ca}$ = 0.001131 nS/pF\\
maximal $I_ \text{b,Na}$ conductance &  $g_\text{b,Na}$ = 0.000644375 nS/pF\\
maximal $I_ \text{NaK}$ & $I_ \text{NaK(max)}$ = 0.59933874 pA/pF\\
maximal $I_ \text{NaCa}$ & $I_ \text{NaCa(max)}$ = 1600 \\%Einheit?
maximal $I_ \text{p,Ca}$ & $I_ \text{pCa(max)}$ = 0.275 pA/pF\\
maximal $I_ \text{up}$ & $I_ \text{up(max)}$ = 0.005 mMms$^{-1}$\\
extracellular K$^+$ concentration & K$_e$ = 5.4 mM\\
extracellular Na$^+$ concentration & Na$_e$ = 140 mM\\
extracellular Ca$^{2+}$ concentration & Ca$_e$ = 1.8 mM\\
Na$^+$ half saturation constant for  $I_ \text{NaK}$ & $K_\text{m,Na}$ = 10 mM\\
Na$^+_e$ half saturation constant for  $I_ \text{NaCa}$ & $K_\text{m,Na(e)}$ = 87.5 mM\\
Ca$^{2+}_\text{e}$ half-saturation constant for $I_\text{NaCa}$& $K_\text{m,Ca}$ = 1.38\\
K$^+_e$  half saturation constant for $I_\text{NaK}$& $K_\text{m,K(e)}$ = 1.5 mM\\
saturation factor for $I_\text{NaCa}$ & $k_\text{sat}$ = 0.1\\
voltage dependence parameter for $I_\text{NaCa}$ & $\gamma$ = 0.35\\
Ca$^{2+}$ half-saturation constant for $I_\text{up}$ & $k_\text{up}$ = 0.00092 mM\\
maximal release rate for $I_\text{rel}$ & $k_\text{rel}$ =  30 ms$^{-1}$\\
total troponin concentration in myoplasm & $\text{Trpn}_\text{max}$ = 0.07 mM\\
total calmodulin concentration in myoplasm & $\text{Cmdn}_\text{max}$ = 0.05 mM\\
total calsequestrin concentration in SR release compartement & $\text{Csqn}_\text{max}$ = 10 mM\\
Ca half-saturation constant for troponin  &$K_\text{m,Trpn}$ = 0.0005mM\\
Ca half-saturation constant for calmodulin &$K_\text{m,Cmdn}$ = 0.00238 mM\\
Ca$_\text{rel}$ half-saturation constant for $I_\text{up}$& $K_\text{m,Csqn}$ = 0.8 mM\\
temperatur scaling factor for $I_\text{K ur}$ and $I_\text{to}$& $K_\text{Q10}$ = 3\\
maximal Ca$^{2+}$ concentration in NSR & $\text{Ca}_\text{up,max}$ = 15 mM\\
$V_\text{CaL}$ & 65 mV\\
$V_\text{Kr1}$ & 15 mV\\
$V_\text{Kr2}$ & 22.4 mV\\
$V_\text{K1}$ & 80 mV\\
\end{tabular}
\end{table}

\clearpage

\section{Hyperelastic parameters}

In this section we present all parameters used in the mechanical
models of the previous chapters. First, the initial values of all
parameters used in the Land force model are given in Tab.~\ref{tab:LandModel}.

\begin{table}[H]
	\caption{Parameters in the Land cell model.}
	\begin{tabular}{lrl} 
		Unbinding rate											& $k_{\text{Tr}} =$&$  0.1$ ms$^{-1}$ \\
		Cooperativity of calcium-troponin binding rate			& $n_{\text{Tr}} =$&$ 2$ \\
		Half-activation point concentration						& $\text{Ca}_{\text{T50}}^{\text{ref}} =$&$ 0.805$ $\mu$M \\
		& $k_{B} =$&$  0.1$ ms$^{-1}$ \\
		Cooperativity of troponin and unblocked binding sites	& $n_{\text{Tr}B} =$&$ 5$ \\
		& $k_{UW} =$&$ 0.182$ ms$^{-1}$ \\
		& $k_{WS} =$&$ 0.012$ ms$^{-1}$ \\
		Steady-state ration for state $W$				& $r_{W} =$&$ 0.50$ \\
		Steady-state ration for state $S$				& $r_{S} =$&$ 0.25$ \\
		& $\gamma_{W} =$&$ 0.615$ \\
		& $\gamma_{S} =$&$ 0.0085$ \\
		proportionality of steady-state crossbridge cycling rates		& $\phi =$&$ 2.23$ \\
		Instantaneous distortion magnitude						& $A_{\text{eff}}=$&$25$ \\
		& $\beta_0 =$&$ \phantom{-}2.3$ \\
		& $\beta_1 =$&$ -2.4$ \\
		Maximal active tension at resting length		& $T_{\text{ref}}=$&$120$ kPa \\
		
		
	\end{tabular}
	\label{tab:LandModel}
\end{table}
Next, the fitted parameters for the force-length-relationship
$R_\text{F-L}$ are presented in Tab.~\ref{tab:RFL}.

\begin{table}[H]
	\caption{Parameters of the force-length relationship function}
	\renewcommand{\arraystretch}{1.2}
	\begin{tabular}{l|rlrl}			
		\textbf{Sarcomere lengths} 
                & $l_\text{min}=$&$0.00170$ mm & $l_\text{max}=$&$0.00260$ mm \\	 	
                & $l_0=$&$0.00195$ mm	\\	
	 	\hline	
	 	\textbf{Fourier coefficients} 
	 	& $c_0=$&$-4333.618335582119$ &    $d_0=$&$-2051.827278991976$ \\
                & $c_1=$&$\phantom{-}2570.395355352195$  &    $d_1=$&$\phantom{-2}302.216784558222$\\
	 	& $c_2=$&$\phantom{-}1329.536116891330$ & $d_2=$&$\phantom{-2}218.375174229422$ \\
                & $c_3=$&$\phantom{-2}104.943770305116$\\
	\end{tabular}
	\label{tab:RFL}	
\end{table}


The values for the different
passive material models are given in Tab.~\ref{tab:PassMat}.

\begin{table}[H] 
	\caption{Parameters of the passive material models}
	\renewcommand{\arraystretch}{1.2}
	\begin{tabular}{l|rrrl}			
		\textbf{Guccione Model} 
		& $C_0=$&$876$ Pa & $b_1$&$=18.48$ \\
		&& & $b_2$&$=\phantom{0}3.58$ \\
		&& & $b_3$&$=1.627$ \\
		\hline
		\textbf{Holzapfel-Ogden Model}
		& $a=$&$\phantom{000}59$ Pa & $b$&$=\phantom{0}8.023$ \\
		& $a_\text{\vec f}=$&$18472$ Pa & $b_\text{\vec f}$&$=16.026$ \\
		& $a_\text{\vec s}=$&$\phantom{0}2481$ Pa & $b_\text{\vec s}$&$=11.120$ \\
		& $a_\text{\vec f\vec s}=$&$\phantom{00}216$ Pa & $b_\text{\vec f\vec s}$&$=11.436$ \\		
		\hline
		\textbf{Volumetric Part} $\Gamma_{\lambda}$
		& $\lambda =$&$2\cdot 10^5$ Pa	\\	
	\end{tabular}
	\label{tab:PassMat}	
\end{table}


\section{Circulatory System Parameters}

In this section we present all parameters and initial values that are used for the circulatory system model introduced in the previous chapters.
The parameters are given in Tab. \ref{tab:CircWholeHeartParameter}, while the initial conditions are set to the values shown in Tab. \ref{tab:CircWholeHeartIC}.

\begin{table}[H]
\caption{Initial conditions of the circulatory system model.}
\begin{tabular}{ll} \label{tab:CircWholeHeartIC}
total volume		& $V_\text{tot}$ = 5500\,ml \\
systemic aortic volume & $V_\text{SysArt}$ = 969.453\,ml \\
pulmonary arterial volume & $V_\text{PulArt}$ = 261.202\,ml \\
pulmonary venous volume & $V_\text{PulVen}$ = 281.373\,ml \\
left ventricular pressure & $p_\text{Lv}$ = 1066.578923\,Pa \\
left atrial pressure & $p_\text{La}$ = 1066.578923\,Pa \\
right ventricular pressure & $p_\text{Rv}$ = 533.289461\,Pa \\
reight atrial pressure & $p_\text{Ra}$ = 533.289461\,Pa
\end{tabular}
\end{table}

\begin{table}[H]
\caption{Parameters in the circulatory system model.}
\begin{tabular}{ll} \label{tab:CircWholeHeartParameter}
systemic aortic valve resistance	& $R_\text{SysArtValve}$ = 0.799934\,Pa$\cdot$s$\cdot$ml$^{-1}$ \\
systemic aortic resistance	& $R_\text{SysArt}$ = 9.332566\,Pa$\cdot$s$\cdot$ml$^{-1}$ \\
systemic aortic compliance	& $C_\text{SysArt}$ = 0.015001234039\,ml$\cdot$Pa$^{-1}$ \\
systemic aortic unstressed Volume	& $V_\text{SysArtUnstr}$ = 800\,ml \\
systemic peripheral resistance	& $R_\text{SysPer}$ = 119.990129\,Pa$\cdot$s$\cdot$ml$^{-1}$ \\
systemic venous resistance	& $R_\text{SysVen}$ = 3.999671\,Pa$\cdot$s$\cdot$ml$^{-1}$ \\
systemic venous compliance	& $C_\text{SysVen}$ = 0.750062\,ml$\cdot$Pa$^{-1}$ \\
systemic venous unstressed volume	& $V_\text{SysVenUnstr}$ = 2850\,ml \\
tricuspidal valve resistance	& $R_\text{RavValve}$ = 0.399967\,Pa$\cdot$s$\cdot$ml$^{-1}$ \\
pulmonary arterial valve resistance	& $R_\text{PulArtValve}$ = 0.399967\,Pa$\cdot$s$\cdot$ml$^{-1}$ \\
pulmonary arterial resistance	& $R_\text{PulArt}$ = 2.666447\,Pa$\cdot$s$\cdot$ml$^{-1}$ \\
pulmonary arterial compliance	& $C_\text{PulArt}$ = 0.075006\,ml$\cdot$Pa$^{-1}$ \\
pulmonary arterial unstressed volume	& $V_\text{PulArtUnstr}$ = 150\,ml \\
pulmonary peripheral resistance	& $R_\text{PulPer}$ = 9.332566\,Pa$\cdot$s$\cdot$ml$^{-1}$ \\
pulmonary venous resistance	& $R_\text{PulVen}$ = 3.999671\,Pa$\cdot$s$\cdot$ml$^{-1}$ \\
pulmonary venous compliance	& $C_\text{PulVen}$ = 0.112509255293\,ml$\cdot$Pa$^{-1}$ \\
pulmonary venous unstressed volume	& $V_\text{PulVenUnstr}$ = 200\,ml \\
mitral valve resistance	& $R_\text{LavValve}$ = 0.399967\,Pa$\cdot$s$\cdot$ml$^{-1}$
\end{tabular}
\end{table}
